ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube PHP Encoder

Encoder version compatability with decoders

Author Message
mdev



Joined: 12 Oct 2017
Posts: 1

PostPosted: Thu Oct 12, 2017 7:25 pm    Post subject: Encoder version compatability with decoders Reply with quote

Hi, I'm looking for information about how backward compatible encoded files are with older versions of decoders. I'm looking to use Ioncube to encode relatively low cost addons/plugins. Some of these will be installed on servers with older versions of the Ioncube decoder that I suspect could require the customer to pay additional fees in one form or another to get their server up to requirements. This adds to support time and unhappy customers, as well as will lead to at least some refunds. I need to find out how much of an issue this could be for my business associates. If anyone could give me any part of what I'm looking for or where to find this information, I'd be very grateful. Any personal experience is also welcome. Maybe this isn't an issue at all?

So, I need to know where to find what the decoder requirements are for each encoder version. I haven't seen them in release notes for the encoders that I've looked at.

I also would like to know what is the oldest encoder version supported by the online encoding system.

Ideally, I would like to have multiple versions of the encoded files with a control file that determines which version to include. If anyone sees a problem with this, I'd like to hear that as well.

Thanks
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube PHP Encoder All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum